Public Member Functions

# Buffer Struct Reference

The buffer for writing a single string. More...

Inheritance diagram for Buffer:

## Public Member Functions
void | AppendByte (byte value)
| Convenience method for adding a byte.
void | AppendUtf8 (uint32 value)
| Add an Unicode character encoded in UTF-8 to the buffer.

## Detailed Description

The buffer for writing a single string.

Definition at line 236 of file strgen_base.cpp.

## Member Function Documentation

void Buffer::AppendByte | ( | byte | value | ) | `[inline]`

Convenience method for adding a byte.

Parameters:

  | value | The value to add.

Definition at line 241 of file strgen_base.cpp.

References SmallVector< byte, 256 >::Append().

Referenced by LanguageWriter::WriteLang().

void Buffer::AppendUtf8 | ( | uint32 | value | ) | `[inline]`

Add an Unicode character encoded in UTF-8 to the buffer.

Parameters:

  | value | The character to add.

Definition at line 250 of file strgen_base.cpp.

References SmallVector< byte, 256 >::Append(), and GB().

Referenced by LanguageWriter::WriteLang().

The documentation for this struct was generated from the following file:

- src/strgen/strgen_base.cpp